community/linux-tools: upgrade to 5.10.1

remove disable-Werror.patch, not needed
remove tools-iio-Correctly-add-make-dependency-for-iio_utils.patch,
fixed upstream
add python3 to makedepends, needed to build some tools
7 jobs for !15864 with linux-tools-5.10.1 in 5 minutes and 45 seconds
detached
Status Job ID Name Coverage
  Lint
passed #273310
docker-alpine x86_64
lint

00:00:18

 
  Build
failed #273315
docker-alpine ci-build aarch64
build-aarch64

00:00:14

failed #273316
docker-alpine ci-build armv7
build-armv7

00:01:00

failed #273314
docker-alpine ci-build ppc64le
build-ppc64le

00:00:15

failed #273313
docker-alpine ci-build s390x
build-s390x

00:00:17

passed #273312
docker-alpine ci-build x86
build-x86

00:04:54

passed #273311
docker-alpine ci-build x86_64
build-x86_64

00:00:42

 
Name Stage Failure
failed
build-s390x Build
No job log
failed
build-ppc64le Build
No job log
failed
build-aarch64 Build
No job log
failed
build-armv7 Build
No job log